{% extends "layout.html.twig" %}


{% block content %}

    <div class="row">
        <form action="{{ BASE_URL }}/Emprunt/validFormAddDeleteAllEmprunts" method="post" >
            <input type="submit" name="validerDeleteAll" id="valider" value="supprimer" class="button radius">
            tout sélectionner ? <input type="checkbox" onclick="toggle(this);" /><br />


            <label>Adherent :
                <select name="idAdherent"  id="idAdherent" onchange="self.location='{{ BASE_URL }}/Emprunt/validFormAddDeleteAllEmprunts?idAdherent='+this.options[this.selectedIndex].value">
                    {% if idAdherent is not defined or idAdherent is empty %}
                    <option value="">Tous les adhérents</option>
                    {% endif %}
                    {% for donneesAdherent in donnees2 %}
                    <option value="{{ donneesAdherent.idAdherent }}"
                            {% if idAdherent is defined and idAdherent == donneesAdherent.idAdherent %}selected{% endif %}
                    >
                    {{ donneesAdherent.nomAdherent }}
                    </option>
                    {% endfor %}
                </select>
            </label>

            <table border="2">
                <caption>Recapitulatifs des Emprunts</caption>
                {% if donnees is not empty %}
                <thead>
                <tr><th>nom Adherent</th><th>titre</th><th>date emprunt</th><th>dateRendu</th>
                    <th>num. Ex.</th><th>nb. jours Empr.</th><th>supprimer</th></tr>
                </thead>
                <tbody>
                {% for value in donnees %}
                <tr><td>
                        {{ value.nomAdherent }}
                    </td><td>
                        {{ value.titre }}
                    </td><td>
                        {{ value.dateEmprunt | date('d/m/Y') }}
                    </td><td>
                        {% if value.dateRendu is not empty  %}{{ value.dateRendu | date('d/m/Y') }}{% endif %}
                    </td><td>
                       {{ value.noExemplaire }}
                    </td>
                    <td>
                       {{ value.nbJoursEmprunt }}
                    </td>
                    <td>
                        {% set idEmprunt = value.idAdherent ~ '_ '~value.noExemplaire ~ '_' ~ value.dateEmprunt %}
                        {#{{ idEmprunt }}#}
                        <input type="checkbox" name="select_emprunt[]" value="{{ idEmprunt }}">
                    </td>
                </tr>
                <tbody>
                {% else %}
                <tr>
                    <td> pas d'Emprunt dans la base de données</td>
                </tr>
                {% endfor %}
                {% endif %}
            </table>
        </form>
    <a href="{{ BASE_URL }}/Emprunt/deleteAllEmprunts">annuler</a>
    </div>
    <script>
        function toggle(source) {
            var checkboxes = document.querySelectorAll('input[type="checkbox"]');
            for (var i = 0; i < checkboxes.length; i++) {
                if (checkboxes[i] != source)
                    checkboxes[i].checked = source.checked;
            }
        }

    </script>


{% endblock %}